# Delete a broadcast

`DELETE /v1/email/broadcasts/{broadcast_id}`

Deletes a draft broadcast. Only a draft can be deleted. To stop a scheduled or sending broadcast, use [Cancel a broadcast](/docs/api/reference/cancel-email-broadcast) instead.

## Code samples

### TypeScript

```ts
await bird.broadcasts.delete("eb_01krdgeqcxet5s7t44vh8rt9mg");
```

### Python

```py
client.broadcasts.delete("eb_01krdgeqcxet5s7t44vh8rt9mg")
```

### Go

```go
if err := client.Broadcasts.Delete(context.Background(), "eb_01krdgeqcxet5s7t44vh8rt9mg"); err != nil {
	log.Fatal(err)
}
```

### PHP

```php
$bird->broadcasts->delete('eb_01krdgeqcxet5s7t44vh8rt9mg');
```

### CLI

```sh
bird email broadcasts delete <broadcast-id> --yes
```

### cURL

```sh
curl -X DELETE "https://us1.platform.bird.com/v1/email/broadcasts/{broadcast_id}" \
  -H "Authorization: Bearer $TOKEN"
```

## Path parameters

- `broadcast_id` (string): Broadcast identifier. Starts with `eb_`.

## Related resources

- [Getting started with email](/learn/email/getting-started-with-email) (video)
- [Email](/products/email) (product)
- [Build your first integration](/learn/paths/integration) (course)
- [Send your first email](/docs/get-started/send-your-first-email) (docs)

[Get an implementation brief](/learn/workspace?topic=email)
